On Oct 25, 2005, at 9:52 PM, itsme213 wrote:

> "Jamis Buck" <jamis / 37signals.com> wrote
>
>> Net::SSH has really only been tested on fairly recent releases of   
>> OpenSSH
>> (I know it's been working fine against version 3.8). It is  very  
>> likely
>> that there are quirks in the older versions that are  revealing  
>> bugs in
>> Net::SSH. :( I know I dealt with a lot of corrupted  mac errors as  
>> I was
>> developing Net::SSH, and they were always a bear  to track down.
>>
>> Is upgrading OpenSSH on the server an option?
>
> I'll try asking the ISP, but know that they prefer to stick with the
> distributions / updates that come with freeBSD itself. Thanks again  
> for the
> help.

Another possibility--are you doing anything like accessing the SSH  
session in multiple concurrent threads? That bit me once and caused  
some corrupted mac errors, but I _thought_ I had fixed the  
concurrency problems. Even if I did, it doesn't mean I didn't miss  
some spots.

- Jamis